Bug 804294 - colord-0.1.15-2.fc16.x86_64 dumps core when adding a CUPS printer: cd_main_create_profile: Process /usr/libexec/colord was killed by signal 6 (SIGABRT)
colord-0.1.15-2.fc16.x86_64 dumps core when adding a CUPS printer: cd_main_cr...
Product: Fedora
Classification: Fedora
Component: colord (Show other bugs)
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-03-17 09:01 EDT by Alan Kelm
Modified: 2013-02-13 09:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-02-13 09:41:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Backtrace of colord core dump, producing using abrt-cli (14.89 KB, application/octet-stream)
2012-03-17 09:01 EDT, Alan Kelm
no flags Details
entries from /var/log/messages at time of colord core dump (3.34 KB, text/plain)
2012-03-17 09:13 EDT, Alan Kelm
no flags Details
Backtrace of colord core dump, producing using abrt-cli [with text/plain mime type] (14.89 KB, text/plain)
2012-03-17 09:20 EDT, Alan Kelm
no flags Details

  None (edit)
Description Alan Kelm 2012-03-17 09:01:57 EDT
Created attachment 570796 [details]
Backtrace of colord core dump, producing using abrt-cli

Description of problem:

When attempting to add a CUPS printer, at the stage when /etc/cups/printers.conf should be written,  colord dumps core and the printer creation fails.

Version-Release number of selected component (if applicable):


How reproducible:

On my Fedora 16 system this is completely reproducible.  It happens every time I try to add a CUPS printer, whether using system-config-printer or http://localhost:631

Steps to Reproduce:

1. run system-config-printer as root (to avoid repeated password prompts)

2. click "+Add" to add a printer.

3. pick an auto-detected printer (e.g. USB-connected Epson Stylus Color 740 or a network-connected Samsung SCX-5530FN)

4. pick the recommended driver

5. accept the recommended Printer Name, Description and Location by clicking "Apply".

Actual results:

A window appears with the message: "CUPS server error:   There was an error during the CUPS operation 'server-error-internal-error".

CUPS printer is not created (i.e. no entries in /etc/cups/printers.conf). Logs show much activity, including the colord core dump.

Expected results:

CUPS printer should be created, with an appropriate entry in /etc/cups/printers.conf.

Additional info:

Some of the keys entries in /var/log/messages are the following:

dbus-daemon[1083]: dbus[1083]: [system] Successfully activated service 'org.freedesktop.ColorManager'
dbus-daemon[1083]: Cd:ERROR:cd-main.c:206:cd_main_create_profile: assertion failed: (connection != NULL)
abrt[5243]: Saved core dump of pid 5240 (/usr/libexec/colord) to /var/spool/abrt/ccpp-2012-03-17-06:29:21-5240 (18341888 bytes)

In addition to the colord stack trace, I will be attaching the relevant segment of /var/log/messages

I had given the command
  # cupsctl LogLevel=debug2
before trying to add the printer, and ended up with almost 4MB of output in /var/log/cups/error_log over a one-minute period.  I could upload that too, if it might be helpful.

After the colord dump occurs (three times), cupsd now dumps core too.  I could upload a stack trace of that too, if it would be helpful.

Not having any installed printers to print to is a liability for my Fedora 16 system.
Comment 1 Alan Kelm 2012-03-17 09:13:53 EDT
Created attachment 570797 [details]
entries from /var/log/messages at time of colord core dump
Comment 2 Alan Kelm 2012-03-17 09:20:25 EDT
Created attachment 570799 [details]
Backtrace of colord core dump, producing using abrt-cli [with text/plain mime type]
Comment 3 Alan Kelm 2012-03-17 09:26:38 EDT
A similar problem has proviously been reported for Fedora 15 as bug 705005
Comment 4 Fedora End Of Life 2013-01-16 08:48:01 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 5 Fedora End Of Life 2013-02-13 09:42:00 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.